Create or remove a remedial link
curl --request POST \
--url https://my.propops.app/api/jobs/remedials \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"parent_job_uuid": "550e8400-e29b-41d4-a716-446655440001",
"csrf_token": "abc123def456",
"remedial_job_uuid": "550e8400-e29b-41d4-a716-446655440002",
"reason": "Leak identified during initial repair."
}
'{
"success": true,
"message": "Operation completed successfully"
}Amendments & Recalls
Create or remove a remedial link
Link a job as a remedial of another, or remove an existing link. Required permission: api.jobs.remedials.manage
POST
/
api
/
jobs
/
remedials
Create or remove a remedial link
curl --request POST \
--url https://my.propops.app/api/jobs/remedials \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"parent_job_uuid": "550e8400-e29b-41d4-a716-446655440001",
"csrf_token": "abc123def456",
"remedial_job_uuid": "550e8400-e29b-41d4-a716-446655440002",
"reason": "Leak identified during initial repair."
}
'{
"success": true,
"message": "Operation completed successfully"
}Documentation Index
Fetch the complete documentation index at: https://help.propops.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
All API requests must include a valid Bearer token in the Authorization header.
Tokens are 64-character SHA-256 session hashes issued by the PropOps authentication system.
Example:
Authorization: Bearer a1b2c3d4e5f6...Body
application/json
Available options:
create, delete Example:
"550e8400-e29b-41d4-a716-446655440001"
Example:
"abc123def456"
Example:
"550e8400-e29b-41d4-a716-446655440002"
Example:
"Leak identified during initial repair."
⌘I